package com.aucma.production.service;

import java.util.List;

import com.aucma.production.domain.ProdTaskPool;

public interface IProdTaskPoolService {
    ProdTaskPool selectProdTaskPoolByOrderCode(String orderCode);

    List<ProdTaskPool> selectProdTaskPoolList(ProdTaskPool prodTaskPool);

    int insertProdTaskPool(ProdTaskPool prodTaskPool);

    int updateProdTaskPool(ProdTaskPool prodTaskPool);

    int deleteProdTaskPoolByOrderCodes(String[] orderCodes);

    int changeTaskStatus(ProdTaskPool prodTaskPool);
}
